# Uses of Class
com.fasterxml.jackson.annotation.JsonSetter.Value

## Uses of JsonSetter.Value in com.fasterxml.jackson.annotation

Fields in com.fasterxml.jackson.annotation declared as JsonSetter.Value
Modifier and Type
Field
Description
`protected static final JsonSetter.Value`
JsonSetter.Value.`EMPTY`
Default instance used in place of "default settings".
Methods in com.fasterxml.jackson.annotation that return JsonSetter.Value
Modifier and Type
Method
Description
`static JsonSetter.Value`
JsonSetter.Value.`construct(Nulls nulls, Nulls contentNulls)`
Factory method that may be used (although is NOT the recommended way) to construct an instance from a full set of properties.
`static JsonSetter.Value`
JsonSetter.Value.`empty()`
Accessor for default instances which has "empty" settings; that is: Null handling using global defaults, `Nulls.DEFAULT`.
`static JsonSetter.Value`
JsonSetter.Value.`forContentNulls(Nulls nulls)`
`static JsonSetter.Value`
JsonSetter.Value.`forValueNulls(Nulls nulls)`
`static JsonSetter.Value`
JsonSetter.Value.`forValueNulls(Nulls nulls, Nulls contentNulls)`
`static JsonSetter.Value`
JsonSetter.Value.`from(JsonSetter src)`
`static JsonSetter.Value`
JsonSetter.Value.`merge(JsonSetter.Value base, JsonSetter.Value overrides)`
Helper method that will try to combine values from two `JsonSetter.Value` instances, using one as base settings, and the other as overrides to use instead of base values when defined; base values are only use if override does not specify a value (matching value is null or logically missing).
`JsonSetter.Value`
JsonSetter.Value.`withContentNulls(Nulls nulls)`
`JsonSetter.Value`
JsonSetter.Value.`withOverrides(JsonSetter.Value overrides)`
Mutant factory method that merges values of this value with given override values, so that any explicitly defined inclusion in overrides has precedence over settings of this value instance.
`JsonSetter.Value`
JsonSetter.Value.`withValueNulls(Nulls nulls)`
`JsonSetter.Value`
JsonSetter.Value.`withValueNulls(Nulls valueNulls, Nulls contentNulls)`
Methods in com.fasterxml.jackson.annotation with parameters of type JsonSetter.Value
Modifier and Type
Method
Description
`static JsonSetter.Value`
JsonSetter.Value.`merge(JsonSetter.Value base, JsonSetter.Value overrides)`
Helper method that will try to combine values from two `JsonSetter.Value` instances, using one as base settings, and the other as overrides to use instead of base values when defined; base values are only use if override does not specify a value (matching value is null or logically missing).
`JsonSetter.Value`
JsonSetter.Value.`withOverrides(JsonSetter.Value overrides)`
Mutant factory method that merges values of this value with given override values, so that any explicitly defined inclusion in overrides has precedence over settings of this value instance.